Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLDescrWriter

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLWriter
            |
            +--org.w3c.tools.resources.serialization.xml.XMLDescrWriter

public class XMLDescrWriter
extends XMLWriter
implements JXML

Fields inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`level, writer`

Constructor Summary
`XMLDescrWriter(java.io.Writer writer)`

Method Summary
`protected void` | `closeDescription()`
`protected void` | `startDescription(ResourceDescription res)`
`protected void` | `startResource(ResourceDescription res)`
`protected void` | `writeAttributeDescription(AttributeDescription descr)`
`protected void` | `writeInherit(java.lang.String[] classes, int idx)`
`protected void` | `writeInterfaces(java.lang.String[] classes)`
`void` | `writeResourceDescription(ResourceDescription resource)`

Methods inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`closeDocument, closeResource, indent, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDescrWriter

    public XMLDescrWriter(java.io.Writer writer)

Method Detail

### startResource

    protected void startResource(ResourceDescription res)
                          throws java.io.IOException

### startDescription

    protected void startDescription(ResourceDescription res)
                             throws java.io.IOException

### closeDescription

    protected void closeDescription()
                             throws java.io.IOException

### writeInherit

    protected void writeInherit(java.lang.String[] classes,
                                int idx)
                         throws java.io.IOException

### writeInterfaces

    protected void writeInterfaces(java.lang.String[] classes)
                            throws java.io.IOException

### writeAttributeDescription

    protected void writeAttributeDescription(AttributeDescription descr)
                                      throws java.io.IOException

### writeResourceDescription

    public void writeResourceDescription(ResourceDescription resource)
                                  throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD